UPGRADE YOUR BROWSER

We have detected your current browser version is not the latest one. Xilinx.com uses the latest web technologies to bring you the best online experience possible. Please upgrade to a Xilinx.com supported browser:Chrome, Firefox, Internet Explorer 11, Safari. Thank you!

AR# 390

GEN_SCH8 5.x: Can't open shared lib /tools/idea/lib/libC.sl

説明

Keywords: gen_sch8, library, error, fails

Urgency: Standard

General Description:

Gen_sch8 may issue the following error message:

Can't open shared lib /tools/idea/lib/libC.sl

ソリューション

If this occurs, make sure the LD_LIBRARY_PATH and PATH variables are set as
follows:

setenv LD_LIBRARY_PATH $MGC_HOME/shared/lib:$MGC_HOME/lib
(Add /user/openwin/lib for SPARC)

setenv PATH ...:$LCA/com/sparc:$LCA/bin/sparc:...
(Substitute "hppa" for "sparc" if appropriate)

If you are using HP-UX version 10.x or above, set the following in lieu of
LD_LIBRARY_PATH:

setenv SHLIB_PATH $MGC_HOME/shared/lib:$MGC_HOME/lib

The key to understanding what the problem is here is the message "Can't
open shared lib /tools/idea..." Gen_sch8 is a dynamically linked program,
and when it is linked, all references through environment variables (e.g.,
$MGC_HOME and $LD_LIBRARY_PATH/$SHLIB_PATH) get resolved to hard pathnames
(e.g., /tools/idea). When gen_sch8 is run at a user's installation, the
odds are that his or her network will not be configured exactly like
Xilinx's, hence any references to /tools/idea will not be resolvable,
yielding error messages like the one above.

For Gen_sch8 or any program which references any Mentor shared runtime
libraries to work properly, the LD_LIBRARY_PATH/SHLIB_PATH variable must be
set to include the hard pathname to them. This can be done easily, simply
by sourcing the Mentor set_mgc_env script found in $MGC_HOME/bin prior to
running Gen_sch8 in the same shell. In order to make this operation
transparent, we include a Gen_sch8 Bourne shell script in $LCA/com/hppa
which sources set_mgc_env prior to invoking the Gen_sch8 program found in
$LCA/bin/hppa. This will always work fine as long as $LCA/com/hppa appears
ahead of $LCA/bin/hppa in your path. This is why the "com" directory must
also be listed before the "bin" directory in your executable path.
AR# 390
作成日 08/31/2007
最終更新日 10/01/2008
ステータス アーカイブ
タイプ 一般